# includes some tricks from the RPM wizards at PLD:
# http://cvs.pld.org.pl/SPECS/spamassassin.spec
# namely, making the tools RPM for masses, sql, and tools, and
# the perl-Mail-SpamAssassin rpm for the modules only.

#%include        /usr/lib/rpm/macros.perl

%define perl_archlib %(eval "`%{__perl} -V:installarchlib`"; echo "$installarchlib")
%define perl_sitelib %(eval "`%{__perl} -V:installsitelib`"; echo "$installsitelib")
%define perl_sitearch %(eval "`%{__perl} -V:installsitearch`"; echo "$installsitearch")

%define pdir    Mail
%define pnam    SpamAssassin

Summary:        a spam filter for email which can be invoked from mail delivery agents

Group:          Applications/Mail
%define version 3.0.4
%define real_version 3.0.4
%define release 1.norlug

%define name    spamassassin
%define initdir %{_initrddir}

Name: %{name}
Version: %{version}
Release: %{release}
License: Apache Software License 2.0 
URL: http://spamassassin.apache.org
Source: http://www.apache.org/dist/spamassassin/Mail-SpamAssassin-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
Prereq: /sbin/chkconfig
Requires: perl-Mail-SpamAssassin = %{version}-%{release}
Requires: perl-Storable => 1.0.14, perl-Digest-SHA1 => 2.01
BuildRequires: perl-Digest-SHA1 => 2.01
Epoch: 3

%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%description
SpamAssassin provides you with a way to reduce, if not completely eliminate,
Unsolicited Bulk Email (or "spam") from your incoming email.  It can be
invoked by a MDA such as sendmail or postfix, or can be called from a procmail
script, .forward file, etc.  It uses a genetic-algorithm-evolved scoring system
to identify messages which look spammy, then adds headers to the message so
they can be filtered by the user's mail reading software.  This distribution
includes the spamd/spamc components which considerably speeds processing of
mail.

%package tools
Summary:        Miscellaneous tools and documentation for SpamAssassin
Group:          Applications/Mail
Requires:       perl-Mail-SpamAssassin = %{version}-%{release}
Requires:       perl-Storable => 1.0.14

%description tools
Miscellaneous tools and documentation from various authors, distributed
with SpamAssassin.  See /usr/share/doc/SpamAssassin-tools-*/.

%package -n perl-Mail-SpamAssassin
Summary:        %{pdir}::%{pnam} -- SpamAssassin e-mail filter Perl modules
Requires: perl >= 5.004 perl(Pod::Usage) perl(HTML::Parser)
Requires: perl-Storable => 1.0.14
# PLD version:
#Group:          Development/Languages/Perl
# Red Hat version:
Group:          Development/Libraries

%description -n perl-Mail-SpamAssassin
Mail::SpamAssassin is a module to identify spam using text analysis and
several internet-based realtime blacklists. Using its rule base, it uses a
wide range of heuristic tests on mail headers and body text to identify
``spam'', also known as unsolicited commercial email. Once identified, the
mail can then be optionally tagged as spam for later filtering using the
user's own mail user-agent application.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
#%{__perl} Makefile.PL INST_PREFIX=%{_prefix} INST_SYSCONFDIR=%{_sysconfdir} PREFIX=$RPM_BUILD_ROOT/%{_prefix} SYSCONFDIR=$RPM_BUILD_ROOT/%{_sysconfdir} < /dev/null
%{__perl} Makefile.PL SYSCONFDIR=$RPM_BUILD_ROOT/%{_sysconfdir} < /dev/null
# now override the PREFIX setting to not use %buildroot%. MakeMaker
# does not have a better way to do this, it seems...
%{__make} PREFIX=%{_prefix}
%{__make} spamd/libspamc.so
# make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=%buildroot/%{_prefix} \
        INSTALLMAN1DIR=%buildroot/%{_mandir}/man1 \
	INSTALLMAN3DIR=%buildroot/%{_mandir}/man3 \
	INSTALLSITEMAN1DIR=%buildroot/%{_mandir}/man1 \
	INSTALLSITEMAN3DIR=%buildroot/%{_mandir}/man3 \
	INSTALLVENDORMAN1DIR=%buildroot/%{_mandir}/man1 \
	INSTALLVENDORMAN3DIR=%buildroot/%{_mandir}/man3
install -d %buildroot/%{initdir}
install -d %buildroot/%{_includedir}
install -m 0755 spamd/redhat-rc-script.sh %buildroot/%{initdir}/spamassassin
install -m 0644 spamd/libspamc.so %buildroot/%{_libdir}
#install -m 0644 spamd/libspamc.h %buildroot/%{_includedir}/libspamc.h

mkdir -p %{buildroot}/etc/mail/spamassassin

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files 
%defattr(-,root,root)
%doc README Changes sample-nonspam.txt sample-spam.txt spamd/README.spamd INSTALL
%attr(755,root,root) %{_bindir}/*
#%attr(644,root,root) %{_includedir}/*
%attr(644,root,root) %{_libdir}/*.so
%config(noreplace) %attr(755,root,root) %{initdir}/spamassassin
%{_mandir}/man1/*

%files tools
%defattr(644,root,root,755)
%doc sql tools masses contrib

%files -n perl-Mail-SpamAssassin
%defattr(644,root,root,755)
%{perl_sitelib}/*
%config(noreplace) %{_sysconfdir}/mail/spamassassin
%{_datadir}/spamassassin
%{_mandir}/man3/*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
        /sbin/chkconfig --add spamassassin
fi
/sbin/service spamassassin condrestart

%preun
if [ $1 = 0 ]; then
	/sbin/service spamassassin stop
        /sbin/chkconfig --del spamassassin
fi

%changelog
* Wed Jun 15 2005 Chip Cuccio <chipster@norlug.org> 3.0.4-1
- updated to 3.0.4

* Fri Apr 29 2005 Chip Cuccio <chipster@norlug.org> 3.0.3-1
- updateed t0 3.0.3

* Thu Dec 16 2004 Chip Cuccio <chipster@norlug.org> 3.0.2-1
- updated

* Wed Dec 1 2004 Chip Cuccio <chipster@norlug.org> 3.0.1-4
- updated bad version

* Tue Oct 26 2004 Chip Cuccio <chipster@norlug.org> 3.0.1-3
- updated license

* Sat Oct 23 2004 Chip Cuccio <chipster@norlug.org> 3.0.1-2
- updated

* Thu Oct 14 2004 Chip Cuccio <chipster@norlug.org> 3.0.0-4
- updated requires and buildreq.
- updated license to ASL 2.0
- updated URL
- updated source URL

* Wed Sep 22 2004 Chip Cuccio <chipster@norlug.org> 3.0.0-2
- upgraded

* Tue Jan 20 2004 Chip Cuccio <chipster@norlug.org> 2.63-1
- update to 2.63

* Sat Jan 17 2004 Chip Cuccio <chipster@norlug.org> 2.62-1
- update to 2.62

* Tue Dec 9 2003 Chip Cuccio <chipster@norlug.org> 2.61-1
- update to 2.61

* Mon Sep 22 2003 Chip Cuccio <chipster@norlug.org> 2.60-3
- update to 2.60 final!

* Fri Sep 19 2003 Chip Cuccio <chipster@norlug.org> 2.60RC-6-2
- update to rc6

* Sat Sep 6 2003 Chip Cuccio <chipster@norlug.org> 2.60RC3-2
- update to RC3

* Tue Sep 2 2003 Chip Cuccio <chipster@norlug.org> 2.60rc2-1
- update to rc2
